POST
/api/v1/label/
curl --request POST \ --url 'https://api.e2enetworks.com/myaccount/api/v1/label/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "label_name": "new", "metadata": "test"}'import requests
response = requests.post( "https://api.e2enetworks.com/myaccount/api/v1/label/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "label_name": "new", "metadata": "test", },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/label/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "POST", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "label_name": "new", "metadata": "test" }),});console.log(await response.json());This endpoint allows you to create a new Tag in a specific project and location.
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Request Body
Section titled “Request Body”Media typeapplication/json
object
label_name
required
string
Example
newmetadata
required
string
Example
testResponses
Section titled “Responses”default
Section titled “default”Response